import { ShikiTransformer } from '@shikijs/types';

interface TransformerColorHighlightOptions {
    /**
     * Custom function to determine foreground color based on background color
     *
     * Return `null` to skip highlighting
     *
     * By default it uses `colorjs.io` to determine the luminance of the color
     */
    getForegroundColor?: (color: string) => string | null;
    /**
     * Custom HTML style for highlighted color
     *
     * Default: `display:inline-block;padding:0 0.15em;margin:0 -0.15em;border-radius:0.2em;`
     */
    htmlStyle?: string;
}
declare function defaultGetForegroundColor(color: string): string | null;
declare function transformerColorHighlight(options?: TransformerColorHighlightOptions): ShikiTransformer;
interface ColorUsage {
    start: number;
    end: number;
    color: string;
}
declare function detectColorUsage(code: string, _lang: string): ColorUsage[];

export { type TransformerColorHighlightOptions, defaultGetForegroundColor, detectColorUsage, transformerColorHighlight };
